MEINPROC4(8)

NAME
meinproc4 - KDE vertaler voor XML

SAMENVATTING

meinproc4 [--help] [Algemene-opties] [Qt-opties] [KDE-opties] [--cache bestand] [--check] [--htdig] [--srcdir] [--param key=waarde] [[[-o] | [--output]] bestand] [--stdout] [--stylesheet xsl] docbook_file

BESCHRIJVING

meinproc4 converteert DocBook-bestanden naar HTML.

ALGEMENE OPTIES

--author
    Auteurinformatie tonen.

--help
    Hulp over de opties tonen.

--help-all
    Alle opties tonen.

--help-kde
    KDE-specifieke opties tonen.

--help-qt
    Qt-specifieke opties tonen.

--license
    Licentie-informatie tonen.

-v--version
    Versie-informatie tonen

PROGRAMMAOPTIES

--cache bestand
    Bufferbestand aanmaken voor het document

--check
    Geldigheid van het document controleren

        De uitvoer kan enigszins uitdagend zijn, omdat één kleine fout een waterval van fouten kan veroorzaken.
        De truc is om naar de eerste fout te kijken, die verbeteren, het bestand opslaan en meinproc4 opnieuw uitvoeren.

--htdig
    Een ht://dig-compatible index aanmaken

-o, --output bestand
    Gehele document uitvoeren naar bestand.

--stdout
    Gehele document uitvoeren naar stdout.

--stylesheet xsl
    Te gebruiken stijlblad

--srcdir map
    Stel de hoofdmap in om te zoeken naar kdelibs

--param key=waarde
    Stel parameters in om door te geven aan het stijlblad.

GEBRUIK

De meest gewone manier om meinproc4 uit te voeren is gewoon als

    meinproc4 docbook-bestand

waar docbook-bestand meestal index.docbook is. Dit commando maakt HTML-pagina's aan uit het DocBook-bestand. Opmerking: deze pagina's zijn alleen in te zien in de op KDE gebaseerde browsers (zoals Konqueror).

Als u de HTML-uitvoer in een andere browser wilt zien (bijvoorbeeld, als u het online zet), gebruik dan

    meinproc4 --stylesheet stylesheet-naam docbook-bestand

waar stylesheet-naam het volledige pad is naar een van de XSL-stijlbladen in $KDEDIR/share/apps/ksgmltools/customization. Om uitvoer te maken dat geschikt is voor het web, kunt u het commando kde-web.xsl of kde-chunk-online.xsl gebruiken. Zie het bestand README in die map voor meer details.

ZIE OOK

kdeopties(7), qtopties(7)

FOUTEN/BUGS

Er zijn waarschijnlijk vele bugs. Gebruik bugs.kde.org[1] om ze te rapporteren.

NOTES

1.  bugs.kde.org
    http://bugs.kde.org